<link href="/css/video-modal.css" rel="stylesheet" type="text/css" />
<style type="text/css">
	#upload
	{
		background: #F3F3F3 url(/img/moo-uploader/accept.png) 3px center no-repeat;
		border: 1px solid #C5C5C5;
		padding: 2px 5px 3px 20px;
		background-color: #F3F3F3;
		font-size: 12px;
		margin-right: 10px;
		-webkit-border-radius: 3px;
		-moz-border-radius: 3px;
		border-radius: 3px;
		cursor: pointer;
	}
	.cx-popup-content
	{
		float: left;
	}
	
	li{list-style: none;}
	.main>li
	{
		float: left;
		margin-right: 7px;
		margin-bottom: 10px;
	}
	
	 .photo {
		background: #FFF;
		border: 1px solid #777;
		padding: 0;
		border-collapse: collapse;
	}
	


	.photo img {
		position: static;
		float: left;
		z-index: 1;
		max-width:300px;
		max-height: 400px;
		display: block;
		margin-bottom: 3px;
		overflow: hidden;
		
	}

	.photo td {
		padding: 4px;
		margin: 0;
		text-align: center;
		vertical-align: middle;
		clear: both;
	}


	.photo .wrapper:hover .video_play_btn
	{
		display: block;
	}
	.photo div.chk {
		position: absolute;
		right: 6px;
		top: 6px;
		background: #f00;
		padding: 3px;
		border: 1px solid #f00;
		z-index: 2;
	}
	.photo .actions {
		bottom: 15px;
		position: absolute;
		right: 15px;
		z-index: 2;
	}
	.photo .actions .rotate-left {
		background: url("/img/famfamfam/arrow_rotate_anticlockwise.png") no-repeat scroll 50% 50% rgba(0, 0, 0, 0);
		cursor: pointer;
		display: block;
		float: right;
		height: 16px;
		width: 16px;
	}
	.photo .actions .rotate-right {
		background: url("/img/famfamfam/arrow_rotate_clockwise.png") no-repeat scroll 50% 50% rgba(0, 0, 0, 0);
		cursor: pointer;
		display: block;
		float: right;
		height: 16px;
		margin-left: 5px;
		width: 16px;
	}
	.mootabs_title>li:hover,.mootabs_title>li.active
	{
		background: url(/img/menu-active.png);
	    color: #fff;
	}

	.main
	{
		padding: 7px;
		float: left;
		min-height: 228px;
		position: relative;
	}
	.main>div
	{
		
		cursor: pointer;
	}
	 .photo .wrapper:hover img
	{
		opacity: 1 !important;
	}
	#video-tabs
	{
		max-width:983px;
		max-height: 800px;
		overflow-y: auto;
		float: left;
		clear: both;
		/*background: #999;*/
		width: 100%;
		margin-top: 25px;
	}

	.video_play_btn
	{
		background: url('/img/play_button.png') no-repeat;
		position: absolute;
		top: 26%;
		left: 34%;
		width: 96px;
		height: 96px;
		display: none;
		
	}

	.save_success
	{
		text-align: center;
		color: #00AA00;
		display: block;
		font-size: 15px;
		font-weight: bold;
		clear: both;
	}
	.cx-button {
		float: left;
		cursor: pointer;
		margin-left: 5px;
		margin-right: 5px;
	}

	.status
	{
		
		text-align: center;
		font-size: 13px;
		color: #000;
		cursor: pointer;
	}

	.cover_status
	{
		text-align: center;
		font-size: 13px;
		color: #000;
		position: absolute;
		margin-top: 84px;
		margin-left: 25px;
	}

	img.disable
	{
		opacity: 0.6;
	}
	#video-tabs	td.vlabel
	{
		position: relative;
		width: 98%;
		float: left;
	}

	#cover_pic_box 
	{
		margin-right: 0px;
	}

	.cover_section_fieldset, .video_section_fieldset {
		background: #fcfcfc;
		border: 1px solid #ddd;
		padding: 8px;
		padding-top: 25px;
		margin-top: 25px;
		margin-bottom: 30px;
	}

	.cover_section_fieldset legend, .video_section_fieldset legend {
		font-size: 12px;
		font-weight: bold;
		background: url(/img/menu-active_it.png);
		color: #fff;
		-moz-border-radius: 3px;
		padding: 2px 4px;
		margin-left: 5px;
	}
	
</style>
<? if(Cubix_Application::getId() == APP_EF): ?>
<fieldset class="cover_section_fieldset">
	<legend>Video Cover Image Section</legend>
	<div>
		<div class="fleft" id="cover_pic_box">
			<? if(!is_null($this->video[0]->cover_hash)): ?>
			<label class="cover_status">
				<? if( $this->video[0]->cover_status == Model_Video::COVER_STATUS_VERIFIED): ?>
					Approved
				<? elseif($this->video[0]->cover_status == Model_Video::COVER_STATUS_REJECTED) :?>
					Rejected
				<? elseif($this->video[0]->cover_status == Model_Video::COVER_STATUS_PENDING):?>
					Pending
				<? endif;?>	
			</label>
			<a class="highslide" onclick="return hs.expand(this)" href="<?= $this->video[0]->cover['orig_url'] ?>"><img id="cover_pic" style="float: left;" width="100" height="100" src="<?= $this->video[0]->cover['url'] ?>" /></a>
			<? endif; ?> 

			<div  id="btn-cover-reject"></div>
			<div id="btn-cover-approve"></div>
			<div id="btn-cover-remove"></div>
		</div>
		<div class="fright"  id="cover_form">
			<div id="covercontrol"></div>
		</div>
	</div>
</fieldset>	
<? endif; ?>

<fieldset class="video_section_fieldset">
	<legend>Video Section</legend>
	<div id="video-upload-tabs">
		<div class="fleft">
			<div  id="btn-disable"></div>
			<div id="btn-approve"></div>
			<div id="btn-remove"></div>
			<?/*<div class="fleft" style="margin-top: 16px;margin-left: 20px;">
				<label style="font-weight: bold;margin-right: 10px;float: left;" for="check_all">Check All</label>
				<input  type="checkbox" id="check_all" class="txt" style="float: left;margin-top: 1px;" />
			</div>*/ ?>
		</div>
		<div class="fright"  id="video_form">
			<div id="videocontrol" rel="<?= $this->hide ?>"></div>
		</div>
	</div>

	<div id="video-tabs" style="overflow-y: visible;">
		<form method="Post" rel="<?= $this->escort_id ?>" id="edit_video" action="/video/set-status">
			<ul class="main">
				<? foreach($this->video AS $video) : ?>
				<li>
					<table class="photo">
						<tr>
							<td class="main">
								<div class="wrapper">
									<div class="chk">
										<input type="checkbox" name="check[]" class="checked" rel="<?=$video->status?>" id="label_<?= $video->id ?>" value="<?= $video->id ?>" />
									</div>
									<div class="actions">
										<span class="rotate-right"></span>	
										<span class="rotate-left"></span>
									</div>	
									<img <?= $video->status=='disable'?'class="disable"':'' ?> width="300" rel="<?= $this->escort_id ?>/<?= $video->video ?>"  align="left" src="<?= $video->photo['url'] ?>" owidth="<?=$video->photo['width'] ?>" oheight="<?= $video->height ?>" />
									<span class="video_play_btn"></span>
								</div>	
							</td>
							<td class="vlabel">
								<span style="display: block;"><?= date('d M Y',strtotime($video->date))?></span>
								<label class="status cb" for="label_<?= $video->id ?>">
									<? if( $video->status == "approve"): ?>
										Approved
									<? elseif($video->status == "disable") :?>
										Disabled
									<? else:?>
										<?= ucfirst($video->status) ?>
										<? if (Cubix_Application::getId() == APP_EF): ?>
											<? if( $video->status == "rejected"): ?>
												<img style="cursor:pointer; float: none; display: inline-block;" src="/img/famfamfam/asterisk_red.png"  onmouseover="showNote(this)" onmouseleave="hideNote(this)">
												<div id="ver_note" class="none" style="position: absolute; top: 20px; left: 200px; width: 200px; background-color: #EEE; padding: 10px; border: 1px solid #FF0000; font-size: 12px; font-weight: bold; color:#FF0000; z-index: 100000;">
													<? if( $video->reject_reasons): ?>
														<? $rej_reason = unserialize($video->reject_reasons);?> 
														<? foreach( $rej_reason['en'] as $reason): ?>
															<?= ucfirst($reason) ?>
														<? endforeach;?>	
													<? else:?>
														No rejection reasons saved
													<? endif;?>	

												</div>
											<? endif;?>	
										<? endif;?>	
									<? endif;?>	
								</label>
							</td>
						</tr>
					</table>
				</li>
				<? endforeach; ?>
			</ul>
		<input type="hidden" value="<?=$this->config['VideoCount'];?>" id="max" />
		</form>
	</div>


</fieldset>	

<script type="text/javascript">
	function showNote(el) {
		var com = el.getNext('div');
			com.removeClass('none');
	}
	function hideNote(el) {
		var com = el.getNext('div');
			com.addClass('none');
	}
</script>